# dlc-macOS-CPU.yaml 
# 
# DeepLabCut environment for MacOS (tested on Mojave) 
#
# install: conda env create -f dlc-macOS-CPU.yaml
# update:  conda env update -f dlc-macOS-CPU.yaml


name: dlc-macOS-CPU
channels:
  - defaults
dependencies:
  - _tflow_select=2.3.0=mkl
  - absl-py=0.7.0=py36_0
  - astor=0.7.1=py36_0
  - blas=1.0=mkl
  - c-ares=1.15.0=h1de35cc_1
  - ca-certificates=2018.12.5=0
  - certifi=2018.11.29=py36_0
  - gast=0.2.2=py36_0
  - grpcio=1.16.1=py36h044775b_1
  - h5py=2.9.0=py36h3134771_0
  - hdf5=1.10.4=hfa1e0ec_0
  - intel-openmp=2019.1=144
  - keras-applications=1.0.6=py36_0
  - keras-preprocessing=1.0.5=py36_0
  - libcxx=4.0.1=hcfea43d_1
  - libcxxabi=4.0.1=hcfea43d_1
  - libedit=3.1.20181209=hb402a30_0
  - libffi=3.2.1=h475c297_4
  - libgfortran=3.0.1=h93005f0_2
  - libprotobuf=3.6.1=hd9629dc_0
  - markdown=3.0.1=py36_0
  - mkl=2019.1=144
  - mkl_fft=1.0.10=py36h5e564d8_0
  - mkl_random=1.0.2=py36h27c97d8_0
  - ncurses=6.1=h0a44026_1
  - numpy=1.15.4=py36hacdab7b_0
  - numpy-base=1.15.4=py36h6575580_0
  - openssl=1.1.1a=h1de35cc_0
  - pip=18.1=py36_0
  - protobuf=3.6.1=py36h0a44026_0
  - python=3.6.8=haf84260_0
  - python.app=2=py36_9
  - readline=7.0=h1de35cc_5
  - scipy=1.2.0=py36h1410ff5_0
  - setuptools=40.6.3=py36_0
  - six=1.12.0=py36_0
  - sqlite=3.26.0=ha441bb4_0
  - tensorboard=1.12.2=py36haf313ee_0
  - tensorflow=1.12.0=mkl_py36h2b2bbaf_0
  - tensorflow-base=1.12.0=mkl_py36h70e0e9a_0
  - termcolor=1.1.0=py36_1
  - tk=8.6.8=ha441bb4_0
  - werkzeug=0.14.1=py36_0
  - wheel=0.32.3=py36_0
  - xz=5.2.4=h1de35cc_4
  - zlib=1.2.11=h1de35cc_3
  - shapely
  - pip:
    - appnope==0.1.0
    - chardet==3.0.4
    - click==7.0
    - cloudpickle==0.7.0
    - cycler==0.10.0
    - dask==1.1.0
    - decorator==4.3.2
    - deeplabcut
    - easydict==1.9
    - idna==2.8
    - imageio==2.3.0
    - ipython==6.0.0
    - ipython-genutils==0.2.0
    - jedi==0.13.2
    - kiwisolver==1.0.1
    - matplotlib
    - mock==2.0.0
    - moviepy==0.2.3.5
    - networkx==2.2
    - numexpr==2.6.9
    - opencv-python==3.4.5.20
    - pandas==0.20.3
    - parso==0.3.2
    - patsy==0.5.1
    - pbr==5.1.1
    - pexpect==4.6.0
    - pickleshare==0.7.5
    - pillow==5.4.1
    - prompt-toolkit==1.0.15
    - ptyprocess==0.6.0
    - pygments==2.3.1
    - pyparsing==2.3.1
    - python-dateutil==2.7.3
    - pytz==2018.9
    - pywavelets==1.0.1
    - pyyaml==4.2b4
    - requests==2.21.0
    - ruamel.yaml==0.15.0
    - scikit-image==0.14.2
    - scikit-learn==0.19.2
    - simplegeneric==0.8.1
    - statsmodels==0.9.0
    - tables==3.4.3
    - toolz==0.9.0
    - tqdm==4.30.0
    - traitlets==4.3.2
    - urllib3==1.24.1
    - wcwidth==0.1.7
    - wxpython==4.0.4
prefix: /anaconda3/envs/dlc-macOS-CPU

